import { Connection } from "../../../domain/models/connections/Connection";
import { ConnectionService } from "../../../domain/services/Connection.service";
declare const _default: {
    name: string;
    emits: string[];
    props: {
        name: {
            type: StringConstructor;
            default: string;
        };
        schema: {
            type: StringConstructor;
            default: string;
        };
        idConnection: {
            type: StringConstructor;
            default: string;
        };
        connection: {
            type: typeof Connection;
            default: any;
        };
        itemObject: any;
        selectedObject: {
            type: StringConstructor;
            default: string;
        };
        object: {
            type: StringConstructor;
            default: string;
        };
        selectedSchema: {
            type: StringConstructor;
            default: string;
        };
        tableName: {
            type: StringConstructor;
            default: string;
        };
    };
    components: {
        Nodo: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    data: () => {
        connectionService: ConnectionService;
        schemaList: any[];
        objects: any[];
        showDatabaseObjects: boolean;
        active: boolean;
        columnList: any[];
    };
    methods: {
        selectedNodo(name: String): void;
        selectedItemObject(): void;
        getObject(): Promise<void>;
        mapObject(objects: []): any;
        getTables(): Promise<void>;
        getViews(): Promise<void>;
        getColumns(columnList: []): void;
    };
    mounted(): Promise<void>;
};
export default _default;
